package hodykostkou;

/**
 *
 * @author lsroubov
 */
public class Vypocty {

    private int[] teckyNakostce = {1, 2, 3, 4, 5, 6};

    private int pocitejSoucet(int[] hody) {
        int soucet = 0;
        for (int i = 0; i < hody.length; i++) {
            soucet += hody[i];
        }

        return (soucet);
    }

    private double pocitejPrumer(int[] hody) {
        return (pocitejSoucet(hody) / (double) hody.length);
    }

    private int[] pocitejCetnost(int[] hody) {
        int[] cetnost = new int[teckyNakostce.length];
        for (int i = 0; i < hody.length; i++) {
            cetnost[hody[i] - 1]++;
        }
        return(cetnost);
    }

    public void pisZpravy(int[] hody) {
        System.out.printf("Soucet: %d %s delitelny 6%n", pocitejSoucet(hody), ((pocitejSoucet(hody) % 2 == 0) && (pocitejSoucet(hody) % 3 == 0)) ? "je" : "neni");
        System.out.printf("Prumer: %.3f%n", pocitejPrumer(hody));
        int[] pole = pocitejCetnost(hody);
        for (int i = 0; i < teckyNakostce.length; i++) {
            System.out.printf("Cislo %d padlo %d x\n", teckyNakostce[i],pole[i]);
        }
    }

}
